Jump to content
  • Similar Content

    • By viper179
       
       
                            # 1   E-P-O-C-H     P-R-O     G-A-M-I-N-G 
       
       
       
       
      Hello all and to every one that played on the EPOCH PRO server, it has been a little since we have temp shut the servers down. But good news is it will be coming back very soon once we get a few more issues with some new code iron out. But keep on the look out
      for one of the best servers there was from the time epoch was released and lasted close to 3 years as one of the best and most populated servers for a long time. There will be alot of new changes and also new admins for the server, Me , measels , and a few more
      admins will be coming back but not all the admins will be back, i have made a few changes on the admins this go around. So thanks to all who played and keep a eye out on the server popping up soon to come.   
    • By SaltiestMeatBall
      I am hoping to get some help here as google is of no help. I want to find an Epoch server that I can play on for a long time. I have tried dozens but each has led me to disappointment after not finding what I'm looking for in a server.
       
      I am looking for an epoch server that has the following features:
      PVE only (quite sick of PvP tbh), Altis Map, Missions, Blackmarket Traders, Safezones, AI, Zombies, Militarized (Has tanks, APC's, heli's, jets, all fully armed), and allows base building without restriction or at least allows building on military areas.
       
      I welcome any and all suggestions that meet the above criteria. Thank you for your time reading this and hope to see some servers in the comments.
    • By XxPRkickassxX
      So I've tried many many times already to update my Battleye and nothing happens. I've uninstalled it and deleted the files and then gone to steam and verified the integrity of game files and still nothing! Whenever I try to join a game its starts downloading the mission files then I get kicked and in the bottom left side of my screen it says Server requiring Battleye version 1.239 up-to-date. I don't know what to do. This is not the first time that this has happened. In the past I used to to just be able to download it from the Battleye website but they no longer have the downloads. I'm trying to play Overwatch and Epoch. Those two mods are up to date. I've verified them like 10 times already. Maybe someone could share with me their battleye folders?
      Anyways please help and thanks in advanced!
  • Advertisement
  • Donation Box

    Please donate to support the community.
    We appreciate all donations!
  • Advertisement
  • Supporters
  • Latest Donations

  • Advertisement
  • Discord

×